/****************************************************************	
* Name : Atul Nayak						*
* door.cxx : Header file for class door				*
****************************************************************/	     

class door
{
	private:

		// number of polygons that make a door
		int noOfPolygons;

		// the color of the door		
		GLfloat colors[3];
		
		// the color of the door in door.txt 
		float R, G, B;		

		// vector of number of vertices in each polygon
		vector<int> noOfVertices;	

		// the normal for all the vertices for a polygon
		vector<GLfloat> normals;

		// vertices in each polygon
		vector<GLfloat> vertices;

		// the X position of the door in the Maze array at start
		int positionX;

		// the Y position of the door in the Maze array at start
		int positionY;

		// the angle the door is rotated in 
		float angle;
		
	public:
		// constructor
		door();

		// draw the Door at the position specified
		void drawDoor(int x, int y);
		
		// return positionX
		int getPositionX();

		// return positionY
		int getPositionY();

		// rotate the door by 90 degrees if required
		void setAngle();

		// set the door color to it's maximum intensity
		void brightestColor();

		// set the door color to it's minimum intensity
		void darkestColor();

		// set the door color to an intermediate value specified
		void changeColor(float);

		// destructor
		~door();
};		
