/****************************************************************	
* Name : Atul Nayak						*
* space.hxx : Header file for class space			*
****************************************************************/	     

class space
{

	private:
		
		// number of polygons that make a space
		int noOfPolygons;
		
		// the color of the space		
		GLfloat colors[3];

		// vector of number of vertices in each polygon		
		vector<int> noOfVertices;	

		// the normal for all the vertices for a polygon
		vector<GLint> normals;

		// vertices in each polygon
		vector<GLfloat> vertices;

		// the X position of the floor in the Maze array at start	
		int positionX;

		// the Y position of the floor in the Maze array at start
		int positionY;

		// flag to indicate whether the Orb was taken or not 
		float angle;

	
	public:

		// constructor - reads the space.txt file
		space();

		// draw the floor space at the specified location
		void drawSpace(int x, int y, int);

		// return positionX
		int getPositionX();

		// return positionY
		int getPositionY();

		// set the color to it's maximum intensity
		void brightestColor();

		// set the color to it's minimum intensity
		void darkestColor();
		
		// set the door color to an intermediate value specified
		void changeColor(float);

		// destructor
		~space();

};
