/****************************************************************************/
/*	textdisplay.cxx defines all the methods of the textdisplay class    */
/*	Name : Atul NAyak				     		    */	
/****************************************************************************/
#include "textdisplay.hxx"
#include "common.hxx"

// set the Color of display.
void textdisplay::setColor(float red, float green, float blue)
{
	R = red;
	G = green;
	B = blue;
}

// print a string on the screen at the specified position.
void textdisplay::drawText(char *buffer,float x,float y)
{
         char *p;

	 glPushMatrix();
		glTranslatef(x, y, -20.0);
                glScalef(0.01, 0.01, 0.01);
//		GLfloat mat_diffuse[] = {R, G, B, 1.0};
//		glMaterialfv(GL_FRONT, GL_DIFFUSE, mat_diffuse);
		glColor3f(R,G,B);
	        for (p = buffer; *p; p++)
               	     glutStrokeCharacter(GLUT_STROKE_ROMAN, *p);
         glPopMatrix();


}

// print a number on the screen.
void textdisplay::drawValue(int buffer,float x,float y)
{
	 char *p;
         char value[80];
	 sprintf(value,"%i", buffer); // convert it to a string first.
//	 glColor3f(R, G, B);
//	GLfloat mat_diffuse[] = {R, G, B, 1.0};
//	glMaterialfv(GL_FRONT, GL_DIFFUSE, mat_diffuse);
	 glPushMatrix();
		glTranslatef(x, y,-20.0);
                glScalef(0.01, 0.01, 0.01);
	 	glColor3f(R, G, B);
	        for (p = value; *p; p++)
         	     glutStrokeCharacter(GLUT_STROKE_ROMAN, *p);
         glPopMatrix();


}

// increase the no of orbs.
void textdisplay::increaseOrbCtr()
{
	orbCtr++;
}

// increase the number of ottos.		
void textdisplay::increaseOttoCtr()
{
	ottoCtr++;
}

// return the no of orb.			
int textdisplay::getOrbCtr()
{
	return orbCtr;
}

// return the no of ottos.
int textdisplay::getOttoCtr()
{
	return ottoCtr;
}
