// methods of class zorro

#include "common.hxx"
#include "zorro.hxx"

// constructor
zorro::zorro()
{
	innerRadius = 0.1;
	outerRadius = 0.8;
	sides = 2;
	rings = 30;
	inactive = FALSE;
	z = 3.0;
}

// initialise 
void zorro::init(int xPosition, int yPosition)
{

	positionX = xPosition;
	positionY = yPosition;
	
	x = xPosition*5 + 2.5;
	y = yPosition*5 + 2.5;
}

// draw the torus and the wire frame sphere
// use a clipping plane along the z axis
void zorro::drawZorro()
{
	GLdouble eqn[4] = {0.0, 0.0, 1, -z};

	glPushMatrix();
		GLfloat mat_diffuse[] = {0.0, 1.0, 0.0, 0.0};
		glMaterialfv(GL_FRONT, GL_DIFFUSE, mat_diffuse);	
		glClipPlane(GL_CLIP_PLANE0, eqn);
		glTranslatef(x,y,z);
		glRotatef(180.0, 1.0, 0.0, 0.0);
		glEnable(GL_CLIP_PLANE0);
		glutWireSphere(outerRadius, 20, 20);
		glDisable(GL_CLIP_PLANE0);
		glutSolidTorus(innerRadius, outerRadius, sides, rings);
	glPopMatrix();

}

// return positionX
int zorro::getPositionX()
{
	return positionX;
}

// return positionY
int zorro::getPositionY()
{
	return positionY;
}

// set inactive
void zorro::setInactive()
{
	inactive = TRUE;
}

// return inactive
int zorro::getInactive()
{
	return inactive;
}

// destructor
zorro::~zorro()
{};

	
